Name:           tepsonic
Version:        0.98.3
release:        2%{?dist}
Summary:        A simple, fast and lightweight Qt audio player

Group:          Applications/Multimedia
License:        GPLv3+
URL:            http://www.tepsonic.org
Source0:        http://www.tepsonic.org/files/%{name}-%{version}-src.tar.gz

BuildRequires:   cmake 
BuildRequires:   pkgconfig 
BuildRequires:   qt-devel 
BuildRequires:   taglib-devel
BuildRequires:   desktop-file-utils 
BuildRequires:   libqxt-devel
BuildRequires:   phonon-devel
Requires:        qt-sqlite 
Requires:        qt-mysql
Requires:        qt
Requires:        qt-x11

%description
A simple, small and fast Qt audio player with collections and all 
the other basic functions that every good audio player should have.


%prep
%setup -q
# Fix binary installation permissions
sed -i '/PERMISSIONS/d' player/CMakeLists.txt

# Remove 3rdparty libraries
rm -rf 3rdparty/*


%build
%cmake -DCMAKE_INSTALL_LIBRARY_DIR=%{_libdir}/%{name} -DLANGS=cs
make %{?_smp_mflags}


%install
make install DESTDIR=%{buildroot}
desktop-file-install --dir=%{buildroot}/%{_datadir}/applications --add-category="AudioVideo" --remove-category="Application" %{name}.desktop

# Remove all devel libraries, leave only libname.so.version
rm -f %{buildroot}/%{_libdir}/%{name}/*.so

%find_lang %{name} --with-qt --without-mo
%find_lang lastfmscrobbler --with-qt --without-mo


%files -f %{name}.lang -f lastfmscrobbler.lang
%defattr(-,root,root,-)
%doc LICENSE README
%{_bindir}/* 
%{_libdir}/%{name}/*.so.*
%{_datadir}/applications/*
%{_datadir}/icons/*

%changelog
* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.98.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Mar 20 2011 Dan Vratil <vratil@progdansoft.com> 0.98.3-1
- update to 0.98.3

* Thu Feb 08 2011 Dan Vratil <vratil@progdansoft.com> 0.98.2-1
- update to 0.98.2
- removed lastmflib dependency
- removed Qxt and translations patches as these are included in the relase now

* Thu Jan 27 2011 Dan Vratil <vratil@progdansoft.com> 0.98.1-6
- add qt and qt-x11 dependencies as requested by Fedora buildsys

* Sun Jan 16 2011 Dan Vratil <vratil@progdansoft.com> 0.98.1-5
- fixed phonon dependency

* Sat Jan 15 2011 Dan Vratil <vratil@progdansoft.com> 0.98.1-4
- remove gettext and phonon depenencies
- fix install permissions and .desktop file
- cosmetic improvements

* Fri Jan 14 2011 Dan Vratil <vratil@progdansoft.com> 0.98.1-3
- fixed paths in .spec
- fixed license GPLv3 -> GPLv3+
- patch CMakeLists.txt to use libqxt package instead of the qxt provided with sources

* Sat Jan 08 2011 Dan Vratil <vratil@progdansoft.com> 0.98.1-2
- added qt-mysql do Requires
- fixed .spec file

* Sat Jan 01 2011 Dan Vratil <vratil@progdansoft.com> 0.98.1-1
- Initial release; based on .spec file from Petr Vaněk
